<template>
  <div>
    <b-container>
      <b-card id="card">
        <b-card-header class="pt-4" id="header">
          <b-card-title>สมัครสมาชิกสำหรับบริษัท</b-card-title>
        </b-card-header>

        <b-card-body ref="b-form-group" @submit.stop.prevent="handleSubmit">
          <b-row>
            <b-col>
              <div class="border">
                <b-card>
                  <b-row class="">
                    <b-col sm="" style="margin-left: -15px">
                      <b-form-group
                        id="username"
                        label="ชื่อผู้ใช้งาน: "
                        label-align-sm="right"
                        label-cols-sm="3"
                        label-for="form-username"
                        :valid-feedback="validFeedbackUsername"
                        :invalid-feedback="invalidFeedbackUsername"
                        :state="stateUsername"
                      >
                        <b-form-input
                          id="username"
                          size="md"
                          placeholder="ชื่อผู้ใช้งาน"
                          v-model="form.username"
                          required
                          value="form.username"
                        >
                        </b-form-input>
                      </b-form-group>
                    </b-col>
                  </b-row>

                  <b-row class="">
                    <b-col sm="" style="margin-left: -15px">
                      <b-form-group
                        id="lbaddress"
                        label="รหัสผ่าน: "
                        label-align-sm="right"
                        label-cols-sm="3"
                        label-for="form-password"
                        :valid-feedback="validFeedbackPassword"
                        :invalid-feedback="invalidFeedbackPassword"
                        :state="statePassword"
                      >
                        <b-form-input
                          type="password"
                          id="password"
                          size=""
                          placeholder="รหัสผ่าน"
                          v-model="form.password"
                          required
                        ></b-form-input>
                      </b-form-group>
                    </b-col>
                  </b-row>

                  <b-row class="">
                    <b-col sm="" style="margin-left: -15px">
                      <b-form-group
                        id="Repassword"
                        label="ยืนยันรหัสผ่าน: "
                        label-align-sm="right"
                        label-cols-sm="3"
                        label-for="form-Repassword"
                        :valid-feedback="validFeedbackRepassword"
                        :invalid-feedback="invalidFeedbackRepassword"
                        :state="stateRepassword"
                      >
                        <b-form-input
                          type="password"
                          id="Repassword"
                          size=""
                          placeholder="ยืนยันรหัสผ่าน"
                          v-model="repassword"
                        ></b-form-input>
                      </b-form-group>
                    </b-col>
                  </b-row>

                  <b-row class="">
                    <b-col sm="" style="margin-left: -15px">
                      <b-form-group
                        id="email"
                        label="Email: "
                        label-align-sm="right"
                        label-cols-sm="3"
                        label-for="form-email"
                        :valid-feedback="validFeedbackEmail"
                        :invalid-feedback="invalidFeedbackEmail"
                        :state="stateEmail"
                      >
                        <b-form-input
                          id="email"
                          size=""
                          placeholder="Email"
                          v-model="form.email"
                          required
                        ></b-form-input>
                      </b-form-group>
                    </b-col>
                  </b-row>
                </b-card>
              </div>
            </b-col>

            <b-col sm="6">
              <div class="Image">
                <b-card>
                  <b-card-img
                    class="ImagePerson"
                    src="https://www.nicepng.com/png/full/192-1921815_-corgi-cartoon-face.png"
                    style="width:90px; height: 100px;"
                  ></b-card-img>
                </b-card>
              </div>
              <br />
              <div class="btnImage">
                <button class="btn btn-info image" style="width: 40%">
                  อัพโหลดรูปภาพ
                </button>
              </div>
              <br />

              <b-form-group
                id="number"
                label="บ้านเลขที่: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-number"
                :valid-feedback="validFeedbackNumber"
                :invalid-feedback="invalidFeedbackNumber"
                :state="stateNumber"
              >
                <b-form-input
                  id="number"
                  size=""
                  placeholder="บ้านเลขที่"
                  v-model="form.addressCompany.number"
                  required
                ></b-form-input>
              </b-form-group>

              <b-form-group
                id="villageNo"
                label="หมู่: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-villageNo"
              >
                <b-form-input
                  id="villageNo"
                  size=""
                  placeholder="หมู่"
                  v-model="form.addressCompany.villageNo"
                  required
                ></b-form-input>
              </b-form-group>
            </b-col>
          </b-row>
          <br />

          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="companyName"
                label="ชื่อบริษัท: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-companyName"
                :valid-feedback="validFeedbackCompanyName"
                :invalid-feedback="invalidFeedbackCompanyName"
                :state="stateCompanyName"
              >
                <b-form-input
                  id="companyName"
                  size=""
                  placeholder="ชื่อบริษัท"
                  v-model="form.companyName"
                  required
                ></b-form-input>
              </b-form-group>
            </b-col>

            <b-col sm="6">
              <b-form-group
                id="province"
                label="จังหวัด: "
                label-align-sm="right"
                label-for="form-province"
                label-cols-sm="3"
                :valid-feedback="validFeedbackProvince"
                :invalid-feedback="invalidFeedbackProvince"
                :state="stateProvince"
              >
                <b-form-select
                  v-model="form.addressCompany.province"
                  :options="province"
                  size="md"
                  id="province"
                  required
                >
                  <b-form-select-option :value="null" disabled
                    >-- กรุณาเลือกจังหวัด --</b-form-select-option
                  >
                </b-form-select>
              </b-form-group>
            </b-col>
          </b-row>

          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="styleBusiness"
                label="ลักษณะธุรกิจ: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-styleBusiness"
                :valid-feedback="validFeedbackStyleBusiness"
                :invalid-feedback="invalidFeedbackStyleBusiness"
                :state="stateStyleBusiness"
              >
                <b-form-select
                  v-model="form.styleBusiness"
                  :options="business"
                  size="md"
                  id="styleBusiness"
                  required
                >
                  <b-form-select-option :value="null" disabled
                    >-- กรุณาเลือกลักษณะธุรกิจ --</b-form-select-option
                  >
                </b-form-select>
              </b-form-group>
            </b-col>

            <b-col sm="6">
              <b-form-group
                id="district"
                label="เขต/อำเภอ: "
                label-align-sm="right"
                label-for="form-district"
                label-cols-sm="3"
                :valid-feedback="validFeedbackDistrict"
                :invalid-feedback="invalidFeedbackDistrict"
                :state="stateDistrict"
              >
                <b-form-select
                  v-model="form.addressCompany.district"
                  :options="district"
                  size="md"
                  id="district"
                  required
                >
                  <b-form-select-option :value="null" disabled
                    >-- เขต/อำเภอ --</b-form-select-option
                  >
                </b-form-select>
              </b-form-group>
            </b-col>
          </b-row>

          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="security"
                label="สวัสดิการ: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-security"
                :valid-feedback="validFeedbackSecurity"
                :invalid-feedback="invalidFeedbackSecurity"
                :state="stateSecurity"
              >
                <b-form-textarea
                  id="security"
                  placeholder="สวัสดิการ"
                  v-model="form.security"
                  required
                ></b-form-textarea>
              </b-form-group>
            </b-col>

            <b-col sm="6">
              <b-form-group
                id="subDistrict"
                label="แขวง/ตำบล: "
                label-align-sm="right"
                label-for="form-subDistrict"
                label-cols-sm="3"
                :valid-feedback="validFeedbackSubdistrict"
                :invalid-feedback="invalidFeedbackSubdistrict"
                :state="stateSubdistrict"
              >
                <b-form-select
                  v-model="form.addressCompany.subDistrict"
                  :options="subdistrict"
                  size="md"
                  id="subdistrict"
                  required
                >
                  <b-form-select-option :value="null" disabled
                    >-- แขวง/ตำบล --</b-form-select-option
                  >
                </b-form-select>
              </b-form-group>
            </b-col>
          </b-row>

          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="contactName"
                label="ชื่อผู้ติดต่อ: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-contactName"
                :valid-feedback="validFeedbackContactName"
                :invalid-feedback="invalidFeedbackContactName"
                :state="stateContactName"
              >
                <b-form-input
                  id="contactName"
                  size=""
                  placeholder="ชื่อผู้ติดต่อ"
                  v-model="form.contactName"
                  required
                ></b-form-input>
              </b-form-group>
            </b-col>
            <b-col sm="6">
              <b-form-group
                id="postalCode"
                label="รหัสไปรษณีย์: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-postalCode"
                :valid-feedback="validFeedbackZipcode"
                :invalid-feedback="invalidFeedbackZipcode"
                :state="stateZipcode"
              >
                <b-form-select
                  v-model="form.addressCompany.postalCode"
                  :options="zipCode"
                  size="md"
                  id="postalCode"
                  required
                >
                  <b-form-select-option :value="null" disabled
                    >-- รหัสไปรษณีย์ --</b-form-select-option
                  >
                </b-form-select>
              </b-form-group>
            </b-col>
          </b-row>
          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="companyCode"
                label="ทะเบียนบริษัท: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-companyCode"
                :valid-feedback="validFeedbackRegister"
                :invalid-feedback="invalidFeedbackRegister"
                :state="stateRegister"
              >
                <b-form-input
                  id="companyCode"
                  size=""
                  placeholder="ทะเบียนบริษัท"
                  v-model="form.companyCode"
                  required
                  onkeypress="return event.key === 'Enter'
                || (Number(event.key) >= 0
                && Number(event.key) <= 13"
                  type="number"
                ></b-form-input>
              </b-form-group>
            </b-col>
            <b-col sm="6">
              <b-form-group
                id="website"
                label="Website: "
                label-align-sm="right"
                label-for="form-website"
                label-cols-sm="3"
              >
                <b-form-input
                  id="website"
                  size=""
                  placeholder="Website"
                  v-model="form.website"
                  required
                ></b-form-input>
              </b-form-group>
            </b-col>
          </b-row>

          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="detailCompany"
                label="รายละเอียดธุรกิจ: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-detailCompany"
                :valid-feedback="validFeedbackDetails"
                :invalid-feedback="invalidFeedbackDetails"
                :state="stateDetails"
              >
                <b-form-textarea
                  id="detailCompany"
                  placeholder="รายละเอียดธุรกิจ"
                  v-model="form.detailCompany"
                  required
                ></b-form-textarea>
              </b-form-group>
            </b-col>

            <b-col>
              <b-form-group
                id="facebook"
                label="Facebook: "
                label-align-sm="right"
                label-for="form-facebook"
                label-cols-sm="3"
              >
                <b-form-input
                  id="facebook"
                  size=""
                  placeholder="Facebook"
                  v-model="form.facebook"
                  required
                ></b-form-input>
              </b-form-group>
            </b-col>
          </b-row>

          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="telCompany"
                label="เบอร์โทรศัพท์: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-telCompany"
                :valid-feedback="validFeedbackTel"
                :invalid-feedback="invalidFeedbackTel"
                :state="stateTel"
              >
                <b-form-input
                  id="telCompany"
                  placeholder="เบอร์โทรศัพท์"
                  v-model="form.telCompany"
                  required
                >
                </b-form-input>
              </b-form-group>
            </b-col>
          </b-row>

          <b-row>
            <b-col>
              <b-navbar-nav class="float-right" id="areabtn">
                <b-nav-form>
                  <b-button
                    variant="success"
                    class="mr-6"
                    id="btnregister"
                    @click="handleSubmit()"
                    style="font-size:24px; padding:10px;"
                    >สมัครสมาชิก</b-button
                  >
                  <b-modal
                    id="modal-form-Company"
                    title="สมัครสมาชิกสำเร็จ"
                    okTitle="ตกลง"
                    ok-variant="success"
                    cancel-title="ยกเลิก"
                    cancel-variant="danger"
                    v-b-modal.modal-addCompany
                    ref="modal-form-Company"
                  >
                    <img
                      src="https://cdn3.iconfinder.com/data/icons/flat-actions-icons-9/792/Tick_Mark_Dark-512.png"
                      alt="success"
                      width="80"
                      id="correct"
                    />
                    <p class="my-4" id="regitsuc">
                      สมัครสมาชิกสำเร็จ กรุณารอการตรวจสอบ
                    </p>
                  </b-modal>
                </b-nav-form>
                <b-col class="login">
                  <b-card-text style="text-aling: center"
                    ><p>
                      เป็นสมาชิกอยู่แล้ว ? <b-link href="">เข้าสู่ระบบ</b-link>
                    </p></b-card-text
                  >
                </b-col>
              </b-navbar-nav>
            </b-col>
          </b-row>
        </b-card-body>
      </b-card>
    </b-container>
  </div>
</template>

<script>
// import companyService from './Service/company'
import axios from 'axios'
export default {
  data () {
    return {
      currentCompany: {},
      registerList: [],
      selected: null,
      province: [
        { value: 'ชลบุรี', text: 'ชลบุรี' },
        { value: 'กรุงเทพมหานคร', text: 'กรุงเทพมหานคร' },
        { value: 'พระนครศรีอยุธยา', text: 'พระนครศรีอยุธยา' },
        { value: 'ระยอง', text: 'ระยอง' }
      ],
      business: [
        {
          value: 'ธุรกิจการกระดาษ/เครื่องเขียน',
          text: 'ธุรกิจการกระดาษ/เครื่องเขียน'
        },
        { value: 'ธุรกิจการเกษตร', text: 'ธุรกิจการเกษตร' },
        { value: 'ธุรกิจการพิมพ์/สิ่งพิมพ์', text: 'ธุรกิจการพิมพ์/สิ่งพิมพ์' },
        { value: 'ธุรกิจเพื่อการศึกษา', text: 'ธุรกิจเพื่อการศึกษา' },
        { value: 'ธุรกิจขนส่ง', text: 'ธุรกิจขนส่ง' },
        { value: 'ธุรกิจคอมพิวเตอร์/IT', text: 'ธุรกิจคอมพิวเตอร์/IT' }
      ],
      district: [
        { value: 'A', text: 'อำเภอเมือง' }
        // ,
        // { value: 'A', text: 'อำเภอแสนสุข' },
        // { value: 'A', text: 'อำเภอบ้านบึง' },
        // { value: 'A', text: 'อำเภอศรีราชา' },
        // { value: 'A', text: 'อำเภอหนองใหญ่' },
        // { value: 'A', text: 'อำเภอพนัสนิคม' }
      ],
      subdistrict: [
        // { value: 'A', text: 'ตำบลบางปลาสร้อย' },
        // { value: 'A', text: 'ตำบลคลองตำหรุ' },
        // { value: 'A', text: 'ตำบลบางทราย' },
        // { value: 'A', text: 'ตำบลสำนักบก' },
        // { value: 'A', text: 'ตำบลบ้านสวน' },
        // { value: 'A', text: 'ตำบลบ้านบึง' }
      ],
      zipCode: [
        { value: '11111', text: '11111' }
        // ,
        // { value: 'A', text: '20170' },
        // { value: 'A', text: '20130' },
        // { value: 'A', text: '20110' },
        // { value: 'A', text: '20160' },
        // { value: 'A', text: '20240' }
      ],
      form: {
        id: this.lastId(),
        companyName: '',
        styleBusiness: '',
        security: '',
        companyCode: '',
        contactName: '',
        detailCompany: '',
        telCompany: '',
        addressCompany: {
          number: '',
          lane: '',
          villageNo: '',
          district: '',
          subDistrict: '',
          province: '',
          postalCode: ''
        },
        website: '',
        facebook: '',
        statusCheckCompany: '',
        username: '',
        password: '',
        email: '',
        status: ''
      },
      repassword: ''
    }
  },
  // },
  methods: {
    lastId () {
      axios.get('http://127.0.0.1:3000/company').then(res => {
        console.log('number id')
        console.log((res.data.length))
        this.id = parseInt((res.data.length))
      })
    },
    addNewCompany () {
      // console.log('addcompany')

      // companyService.addCompany(this.form)
      axios.post('http://127.0.0.1:3000/company', this.form).then(res => {
        console.log('add success')
        this.$bvModal.show('modal-form-Company')
        console.log(this.form)
        this.resetModal()
      })
      // console.log(companyService.lastId)
      // console.log(companyService.getcompanies())
    },
    resetModal () {
      this.form = {
        id: this.lastId(),
        companyName: '',
        styleBusiness: '',
        security: '',
        companyCode: '',
        contactName: '',
        detailCompany: '',
        telCompany: '',
        addressCompany: {
          number: '',
          lane: '',
          villageNo: '',
          district: '',
          subDistrict: '',
          province: '',
          postalCode: ''
        },
        website: '',
        facebook: '',
        statusCheckCompany: '',
        username: '',
        password: '',
        email: '',
        status: ''
      }
    },
    handleOk (bvModalEvt) {
      // Prevent modal from closing
      bvModalEvt.preventDefault()
      // Trigger submit handler
      this.handleSubmit()
    },
    handleSubmit () {
      // alert ("Form submitted!")
      if (
        this.stateName === false ||
        this.stateAddress === false ||
        this.statePassword === false ||
        this.stateRepassword === false ||
        this.stateEmail === false ||
        this.stateCompanyName === false ||
        this.stateBusiness === false ||
        this.stateSecurity === false ||
        this.stateContactName === false ||
        this.stateRegister === false
      ) {
        return ''
      }
      // this.$nextTick(() => {
      //   this.$bvModal.hide('modal-form-Applicant')
      // })
      this.addNewCompany()
    }
  },
  computed: {
    stateUsername () {
      return (
        this.form.username.length >= 10 &&
        this.form.username.length <= 16 &&
        this.form.username.length !== /^[a-zA-Z0-9_]+$/gi
      )
    },
    invalidFeedbackUsername () {
      if (this.form.username.length > 0 && this.form.username.length <= 16) {
        return 'กรุณากรอกชื่อผู้ใช้งาน 10-16 ตัวอักษร'
      } else if (this.form.username.length > 16) {
        return 'กรุณากรอกชื่อผู้ใช้งานอย่างน้อย 10-16 ตัวอักษร'
      } else if (this.form.username === /^[a-zA-Z0-9_]+$/gi) {
        return 'กรุณากรอกชื่อผู้ใช้งานที่ไม่ขึ้นต้นด้วยตัวเลข'
      } else {
        return 'กรุณากรอกชื่อผู้ใช้งาน'
      }
    },
    validFeedbackUsername () {
      return this.stateUsername === true ? 'สำเร็จ' : ''
    },
    statePassword () {
      return this.form.password.length >= 8 && this.form.password.length <= 16
    },
    invalidFeedbackPassword () {
      if (this.form.password.length > 8) {
        return ''
      } else if (
        this.form.password.length > 8 &&
        this.form.password.length <= 16
      ) {
        return 'กรุณากรอกรหัสผ่านงานอย่างน้อย 8 ตัวอักษร แต่น้อยกว่า 16 ตัวอักษร'
      } else {
        return 'กรุณากรอกรหัสผ่านอย่างน้อย 8 ตัวอักษร แต่น้อยกว่า 16 ตัวอักษร'
      }
    },
    validFeedbackPassword () {
      return this.statePassword === true ? 'สำเร็จ' : ''
    },
    stateRepassword () {
      return (
        this.repassword === this.form.password &&
        this.repassword.length >= 8 &&
        this.repassword.length <= 16
      )
    },
    invalidFeedbackRepassword () {
      if (this.repassword !== this.form.password) {
        return 'กรุณากรอกรหัสผ่านให้ตรงกัน'
      } else if (this.repassword !== null) {
        return 'กรุณากรอกรหัสผ่านยืนยันรหัสผ่าน'
      } else {
        return 'กรุณากรอกรหัสผ่านยืนยันรหัสผ่าน'
      }
    },
    validFeedbackRepassword () {
      return this.stateRepassword === true ? 'สำเร็จ' : ''
    },
    stateTel () {
      return this.form.telCompany.length === 10
    },
    invalidFeedbackTel () {
      if (this.form.telCompany.length > 0) {
        return 'กรุณากรอกตัวเลข 10 ตัวอักษร'
      } else if (this.form.telCompany.length > 0) {
        return 'กรุณากรอกตัวเลข 10 ตัวอักษร'
      }
      return 'กรุณากรอกเบอร์โทรศัพท์'
    },
    validFeedbackTel () {
      return this.stateTel === true ? 'สำเร็จ' : ''
    },
    stateCompanyName () {
      return this.form.companyName.length >= 3
    },
    invalidFeedbackCompanyName () {
      if (this.form.companyName.length > 2) {
        return ''
      } else if (this.form.companyName.length > 0) {
        return 'กรุณากรอกตัวอักษรอย่างน้อย 3 ตัวอักษร.'
      }
      return 'กรุณากรอกชื่อบริษัท'
    },
    validFeedbackCompanyName () {
      return this.stateCompanyName === true ? 'สำเร็จ' : ''
    },
    stateStyleBusiness () {
      return this.form.styleBusiness.length >= 1
    },
    invalidFeedbackStyleBusiness () {
      if (this.form.styleBusiness.length === 0) {
        return 'กรุณาเลือกลักษณะธุรกิจ'
      }
      return ''
    },
    validFeedbackStyleBusiness () {
      return 'สำเร็จ'
    },
    stateContactName () {
      return this.form.contactName.length >= 3
    },
    invalidFeedbackContactName () {
      if (this.form.contactName.length > 2) {
        return ''
      } else if (this.form.contactName.length > 0) {
        return 'กรุณากรอกชื่อผู้ติดต่ออย่างน้อย 3 ตัวอักษร'
      } else {
        return 'กรุณากรอกชื่อผู้ติดต่อ'
      }
    },
    validFeedbackContactName () {
      return this.stateContactName === true ? 'สำเร็จ' : ''
    },
    stateRegister () {
      return this.form.companyCode.length === 13
    },
    invalidFeedbackRegister () {
      if (this.form.companyCode.length > 13) {
        return 'กรุณากรอกทะเบียนบริษัทเพียง 13 ตัวอักษร'
      } else if (this.form.companyCode.length > 0) {
        return 'กรุณากรอกทะเบียนบริษัท 13 ตัวอักษร'
      } else {
        return 'กรุณากรอกทะเบียนบริษัท'
      }
    },
    validFeedbackRegister () {
      return this.stateRegister === true ? 'สำเร็จ' : ''
    },
    stateEmail () {
      return /^\w+([\\.-]?\w+)@\w+([\\.-]?\w+)(.\w{2,3})+$/.test(
        this.form.email
      )
    },
    invalidFeedbackEmail () {
      if (this.form.email.length === 0) {
        return 'กรุณากรอกอีเมล'
      } else if (
        this.form.email !== /^\w+([\\.-]?\w+)@\w+([\\.-]?\w+)(.\w{2,3})+$/
      ) {
        return 'กรุณากรอกอีเมลให้ถูกต้อง'
      } else {
        return ''
      }
    },
    validFeedbackEmail () {
      return this.stateEmail === true ? 'สำเร็จ' : ''
    },
    stateDetails () {
      return this.form.detailCompany.length >= 20
    },
    invalidFeedbackDetails () {
      if (
        this.form.detailCompany.length > 0 &&
        this.form.detailCompany.length <= 20
      ) {
        return 'กรุณกรอกรายละเอียดธุรกิจ มากกว่า 20 ตัวอักษร'
      } else {
        return 'กรุณากรอกรายละเอียดธุรกิจ'
      }
    },
    validFeedbackDetails () {
      return this.stateDetails === true ? 'สำเร็จ' : ''
    },
    stateNumber () {
      return this.form.addressCompany.number !== ''
    },
    invalidFeedbackNumber () {
      if (this.form.addressCompany.number === '') {
        return 'กรุณากรอกบ้านเลขที่'
      } else {
        return 'กรุณากรอกบ้านเลขที่'
      }
    },
    validFeedbackNumber () {
      return this.stateNumber === true ? 'สำเร็จ' : ''
    },
    stateSecurity () {
      return this.form.security.length >= 20 && this.form.security.length < 255
    },
    invalidFeedbackSecurity () {
      if (this.form.security.length > 0 && this.form.security.length <= 20) {
        return 'กรุณกรอกสวัสดิการ มากกว่า 20 ตัวอักษร'
      } else {
        return 'กรุณากรอกสวัสดิการ'
      }
    },
    validFeedbackSecurity () {
      return this.stateSecurity === true ? 'สำเร็จ' : ''
    },
    stateZipcode () {
      return this.form.addressCompany.postalCode.length === 1
    },
    invalidFeedbackZipcode () {
      if (this.form.addressCompany.postalCode.length > 0) {
        return 'กรุณรหัสไปรษณีย์ มากกว่า 2 ตัวอักษร'
      } else {
        return 'กรุณาเลือกรหัสไปรษณีย์'
      }
    },
    validFeedbackZipcode () {
      return this.stateZipcode === true ? 'สำเร็จ' : ''
    },
    stateProvince () {
      return this.form.addressCompany.province.length === 1
    },
    invalidFeedbackProvince () {
      if (this.form.addressCompany.province.length > 0) {
        return 'กรุณากรอกจังหวัด มากกว่า 2 ตัวอักษร'
      } else {
        return 'กรุณาเลือกจังหวัด'
      }
    },
    validFeedbackProvince () {
      return this.stateProvince === true ? 'สำเร็จ' : ''
    },
    stateDistrict () {
      return this.form.addressCompany.district.length === 1
    },
    invalidFeedbackDistrict () {
      if (this.form.addressCompany.district.length > 0) {
        return 'กรุณากรอกอำเภอ มากกว่า 2 ตัวอักษร'
      } else {
        return 'กรุณาเลือกอำเภอ'
      }
    },
    validFeedbackDistrict () {
      return this.stateDistrict === true ? 'สำเร็จ' : ''
    },
    stateSubdistrict () {
      return this.form.addressCompany.subDistrict.length === 1
    },
    invalidFeedbackSubdistrict () {
      if (this.form.addressCompany.subDistrict.length > 0) {
        return 'กรุณากรอกตำบล มากกว่า 2 ตัวอักษร'
      } else {
        return 'กรุณาเลือกตำบล'
      }
    },
    validFeedbackSubdistrict () {
      return this.stateSubdistrict === true ? 'สำเร็จ' : ''
    }
  },
  mounted () {
    console.log("Vue is company's register")
    // this.updateCompany()
    // this.getCompany()
  }
}
</script>
<style scoped>
@import '../views/css/Register.css';
</style>
